Project (Gradle API 2.14)
Date: 2016-06-14

Package: org.gradle.plugins.ide.eclipse.model

## [Java] Class Project

- org.gradle.plugins.ide.eclipse.model.Project

- Represents the customizable elements of an eclipse project file. (via XML hooks everything is customizable).

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `PROJECT_FILE_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Project (org.gradle.internal.xml.XmlTransformer xmlTransformer)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Object` | `configure(EclipseProject eclipseProject)`
    `boolean` | `equals(Object o)`
    `List<BuildCommand>` | `getBuildCommands()` The build commands to be added to this Eclipse project.
    `String` | `getComment()` A comment used for the eclipse project
    `protected String` | `getDefaultResourceName()`
    `Set<Link>` | `getLinkedResources()` The linkedResources to be added to this Eclipse project.
    `String` | `getName()` The name used for the name of the eclipse project
    `List<String>` | `getNatures()` The natures to be added to this Eclipse project.
    `Set<String>` | `getReferencedProjects()` The referenced projects of this Eclipse project.
    `int` | `hashCode()`
    `protected void` | `load(groovy.util.Node xml)`
    `void` | `setBuildCommands(List<BuildCommand> buildCommands)`
    `void` | `setComment(String comment)`
    `void` | `setLinkedResources(Set<Link> linkedResources)`
    `void` | `setName(String name)`
    `void` | `setNatures(List<String> natures)`
    `void` | `setReferencedProjects(Set<String> referencedProjects)`
    `protected void` | `store(groovy.util.Node xml)`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject` | `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#load(java.io.InputStream), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#store(java.io.OutputStream), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getXml(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#findFirstChildWithAttributeValue(groovy.util.Node, java.lang.String, java.lang.String, java.lang.String), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#findOrCreateFirstChildNamed(groovy.util.Node, java.lang.String), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#findOrCreateFirstChildWithAttributeValue(groovy.util.Node, java.lang.String, java.lang.String, java.lang.String), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#findFirstChildNamed(groovy.util.Node, java.lang.String), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#transformAction(groovy.lang.Closure), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#load(java.io.File), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#store(java.io.File), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#loadDefaults(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#setProperty(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getProperty(java.lang.String), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#invokeMethod(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getMetaClass(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#setMetaClass(groovy.lang.MetaClass), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(long, int), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(long), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#equals(java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#toString(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#hashCode(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getClass(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#notify(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#notifyAll()`
    `class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject` | `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#load(java.io.InputStream), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#load(java.io.File), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#store(java.io.File), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#store(java.io.OutputStream), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#loadDefaults(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#setProperty(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getProperty(java.lang.String), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#invokeMethod(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getMetaClass(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#setMetaClass(groovy.lang.MetaClass), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(long, int), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(long), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#equals(java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#toString(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#hashCode(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getClass(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#notify(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#notifyAll()`

- - ### Field Detail

    - #### public static final String PROJECT_FILE_NAME

  - ### Constructor Detail

    - #### public Project(org.gradle.internal.xml.XmlTransformer xmlTransformer)

  - ### Method Detail

    - #### public Object configure(EclipseProject eclipseProject)

    - #### @Override public boolean equals(Object o)

    - #### public List<BuildCommand> getBuildCommands()

      The build commands to be added to this Eclipse project.

    - #### public String getComment()

      A comment used for the eclipse project

    - #### @Override protected String getDefaultResourceName()

    - #### public Set<Link> getLinkedResources()

      The linkedResources to be added to this Eclipse project.

    - #### public String getName()

      The name used for the name of the eclipse project

    - #### public List<String> getNatures()

      The natures to be added to this Eclipse project.

    - #### public Set<String> getReferencedProjects()

      The referenced projects of this Eclipse project.

    - #### @Override public int hashCode()

    - #### @Override protected void load(groovy.util.Node xml)

    - #### public void setBuildCommands(List<BuildCommand> buildCommands)

    - #### public void setComment(String comment)

    - #### public void setLinkedResources(Set<Link> linkedResources)

    - #### public void setName(String name)

    - #### public void setNatures(List<String> natures)

    - #### public void setReferencedProjects(Set<String> referencedProjects)

    - #### @Override protected void store(groovy.util.Node xml)

    - #### @Override public String toString()